///////////////////////////////////////////////////////////////////////////
// Filename : monitor_mp3.cpp
// Project  : MP3 Decoder
// Author   : GoodKook / goodkook@nms.anslab.co.kr
// Company  : AnsLab Co. / http://www.anslab.co.kr
// Revision :
// Comment  : Waveform Monitor
//

#include "monitor_mp3.h"

//////////////////////////////////////////////////////////////////////////
// Monitor
//
void monitor_mp3::proc_monitor()
{
//  t_clk           = (bool)clk.read();
//  t_rst           = (bool)rst.read();
    t_stop          = (bool)stop.read();
    t_mp3_req       = (bool)mp3_req.read();
    t_mp3_ack       = (bool)mp3_ack.read();
    t_mp3_data      = (int)((sc_uint<8>)mp3_data.read());
    t_mp3_count     = (int)mp3_count.read();
}
